import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
// import model
import '/models/dashboard/dashboard_model.dart';

class DashboardController {
  DashboardController();

  void getter(BuildContext context) {
    DashboardModel viewModel =
        Provider.of<DashboardModel>(context, listen: false);
    // ignore: todo
    //TODO Add code here for getter
    viewModel.getter(context);
  }

  void setter(BuildContext context) {
    DashboardModel viewModel =
        Provider.of<DashboardModel>(context, listen: false);
    // ignore: todo
    //TODO Add code here for setter
    viewModel.setter();
  }

  void update(BuildContext context) {
    DashboardModel viewModel =
        Provider.of<DashboardModel>(context, listen: false);
    // ignore: todo
    //TODO Add code here for update
    viewModel.update();
  }

  void remove(BuildContext context) {
    DashboardModel viewModel =
        Provider.of<DashboardModel>(context, listen: false);
    // ignore: todo
    //TODO Add code here for remove
    viewModel.remove();
  }
}
